/*******************************************************************************
 * Copyright (c) 2008 Innoopract Informationssysteme GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Innoopract Informationssysteme GmbH - initial API and implementation
 ******************************************************************************/
package org.eclipse.rap.help.internal.integration;

import org.eclipse.rwt.lifecycle.IEntryPoint;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.application.WorkbenchAdvisor;

public final class Application implements IEntryPoint {

  private static final String DEFAUL_PERSPECTIVE
    = "org.eclipse.rap.help.integration.defaulPerspective";

  public int createUI() {
		Display display = PlatformUI.createDisplay();
		WorkbenchAdvisor advisor = new WorkbenchAdvisor() {
      public String getInitialWindowPerspectiveId() {
        return DEFAUL_PERSPECTIVE;
      }
		};
		return PlatformUI.createAndRunWorkbench( display, advisor );
	}
}
